Name: squidclamav
Version: 6.16
Release: 0.beta1%{?dist}
Summary: A Clamav Antivirus Redirector for Squid

Group: Applications/System
License: GPLv3+
URL: http://squidclamav.darold.net/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires: clamav-devel >= 0.82
BuildRequires: curl-devel >= 7.12.1
Requires: squid
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
%{name} Antivirus redirector for Squid proxy based on the Awards winnings
ClamAv anti-virus toolkit. Using it will help you securing your home or
enterprise network web traffic. SquidClamav is the most efficient Squid
Redirector anti-virus tool for HTTP traffic available for free, it is written
in C and can handle thousand of connections.

%prep
%setup -q

# create README.RPM
%{__cat} > README.RPM << __EOF

1. Edit an modify configuration file %{_sysconfdir}/%{name}.conf to match
   your installation.

2. Create a redirect CGI script or HTML where you want your users to be
   redirected when a virus is found and set the 'redirect' configuration
   directive to that URL. You have a CGI script sample in different languages
   in %{_libexecdir}/%{name}/

3. If you use squidclamav log remember that squidclamav will run as squid
   user, so the path to %{name}.log must be writable by this user.

You can have more information on how to configure and use %{name} by reading
documentation at http://squidclamav.darold.net/ or with squidclamav man page.

__EOF

%build
%configure --prefix=%{_prefix}
%{__make}

%install
%{__rm} -rf $RPM_BUILD_ROOT
# set up path structure
%{__install} -d -m 0755 %{buildroot}/%{_bindir}
%{__install} -d -m 0755 %{buildroot}/%{_sysconfdir}
%{__install} -d -m 0755 %{buildroot}/%{_libexecdir}

# Make distrib files
%{__make} install \
        DESTDIR=%{buildroot}

%{__install} -D -m 0644 doc/%{name}.1 \
    %{buildroot}/%{_mandir}/man1/%{name}.1

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc Change* INSTALL README README.RPM
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0644,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(0644,root,root) %{_mandir}/man1/%{name}.1.gz
%attr(0644,root,root) %{_datadir}/%{name}/README
%attr(0755,root,root) %{_libexecdir}/%{name}/clwarn.cgi
%attr(0755,root,root) %{_libexecdir}/%{name}/clwarn.cgi.de_DE
%attr(0755,root,root) %{_libexecdir}/%{name}/clwarn.cgi.en_EN
%attr(0755,root,root) %{_libexecdir}/%{name}/clwarn.cgi.fr_FR
%attr(0755,root,root) %{_libexecdir}/%{name}/clwarn.cgi.pt_BR
%attr(0755,root,root) %{_libexecdir}/%{name}/clwarn.cgi.ru_RU
%dir %{_libexecdir}/%{name}

%changelog
* Sat Feb 17 2018 Daniel Berteaud <daniel@firewall-services.com> 6.16-0.beta1
- new package built with tito

* Sat Feb 17 2018 Daniel Berteaud <daniel@firewall-services.com> - 6.16-1
- Update to 6.16

* Fri Nov 15 2013 Daniel Berteaud <daniel@firewall-services.com> - 5.11-2
- Spec file cleanup

* Tue Nov 27 2012 Daniel Berteaud <daniel@firewall-services.com> - 5.11-1
- update to 5.11

* Tue Oct 16 2012 Daniel Berteaud <daniel@firewall-services.com> - 5.9-1
- update to 5.9

* Tue Sep 11 2012 Daniel Berteaud <daniel@firewall-services.com> - 5.8-1
- update to 5.8

* Wed Mar  3 2010 Gilles Darold <gilles@darold.net>
- Update to 5.2.
- Add copy of clwarn.cgi.ru_RU into libexecdir.

* Wed Feb 10 2010 Gilles Darold <gilles@darold.net>
- Update to 5.1.

* Wed Jan 27 2010 Gordan Bobic <gordan@bobich.net>
- Update for squidclamav 4.2

* Tue Jan 12 2010 Gordan Bobic <gordan@bobich.net>
- Initial fork from the PLD spec file, update for squidclamav 4.1

